Package htsjdk.samtools.util

# Enum Class BlockCompressedInputStream.FileTermination

java.lang.Object
java.lang.Enum<BlockCompressedInputStream.FileTermination>
htsjdk.samtools.util.BlockCompressedInputStream.FileTermination

All Implemented Interfaces:
  `Serializable`, `Comparable<BlockCompressedInputStream.FileTermination>`, `Constable`

Enclosing class:
  `BlockCompressedInputStream`

public static enum BlockCompressedInputStream.FileTermination extends Enum<BlockCompressedInputStream.FileTermination>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFECTIVE`
`HAS_HEALTHY_LAST_BLOCK`
`HAS_TERMINATOR_BLOCK`

## Method Summary

Modifier and Type
Method
Description
`static BlockCompressedInputStream.FileTermination`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BlockCompressedInputStream.FileTermination[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HAS_TERMINATOR_BLOCK

public static final BlockCompressedInputStream.FileTermination HAS_TERMINATOR_BLOCK

### HAS_HEALTHY_LAST_BLOCK

public static final BlockCompressedInputStream.FileTermination HAS_HEALTHY_LAST_BLOCK

### DEFECTIVE

public static final BlockCompressedInputStream.FileTermination DEFECTIVE

## Method Details

### values

public static BlockCompressedInputStream.FileTermination[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BlockCompressedInputStream.FileTermination valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null